com.independentsoft.exchange

## Enum RetentionAction

- java.lang.Object
- - java.lang.Enum<RetentionAction>
  - - com.independentsoft.exchange.RetentionAction

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<RetentionAction>

      public enum RetentionAction
      extends java.lang.Enum<RetentionAction>

  The Enum RetentionAction.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DELETE_AND_ALLOW_RECOVERY` This action emulates the behavior when the Deleted Items folder is emptied.
    `MARK_AS_PAST_RETENTION_LIMIT` This action marks a message as expired after it reaches its retention age.
    `MOVE_TO_ARCHIVE` This action moves a message to the user's archive mailbox.
    `MOVE_TO_DELETED_ITEMS` This action will move the message to the Deleted Items folder.
    `MOVE_TO_FOLDER` This action will move the message to a folder.
    `NONE` None.
    `PERMANENTLY_DELETE` This action permanently deletes a message.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RetentionAction` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static RetentionAction[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### MOVE_TO_DELETED_ITEMS

          public static final RetentionAction MOVE_TO_DELETED_ITEMS

      This action will move the message to the Deleted Items folder.

    - #### MOVE_TO_FOLDER

          public static final RetentionAction MOVE_TO_FOLDER

      This action will move the message to a folder.

    - #### DELETE_AND_ALLOW_RECOVERY

          public static final RetentionAction DELETE_AND_ALLOW_RECOVERY

      This action emulates the behavior when the Deleted Items folder is emptied.

    - #### PERMANENTLY_DELETE

          public static final RetentionAction PERMANENTLY_DELETE

      This action permanently deletes a message.

    - #### MARK_AS_PAST_RETENTION_LIMIT

          public static final RetentionAction MARK_AS_PAST_RETENTION_LIMIT

      This action marks a message as expired after it reaches its retention age.

    - #### MOVE_TO_ARCHIVE

          public static final RetentionAction MOVE_TO_ARCHIVE

      This action moves a message to the user's archive mailbox.

    - #### NONE

          public static final RetentionAction NONE

      None.

  - ### Method Detail

    - #### values

          public static RetentionAction[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RetentionAction c : RetentionAction.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RetentionAction valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null